<template lang="pug">
.app
	router-view
	confirm(ref="confirmModal")
</template>



<script>
import { mapActions, mapGetters } from 'vuex'
import Confirm from '@/components/modals/Confirm'

export default {
    components: {
		Confirm
    },

	methods: {
		...mapActions('root', [
			'$getCandidates'
		])
	},

	created() {
		this.$getCandidates()
		this.$bus.$on('deleteCandidate', callback => {
			this.$refs.confirmModal.openModal({
				title: 'Delete candidate',
				description: `Are you sure you want to delete this candidate? You can't view this candidate in your list anymore.`,
				button: {
					text: 'Yes. Delete candidate',
					danger: true
				}
			}, () => {
				callback()
			})
		})
	}
}
</script>



<style lang="scss">
@import './assets/scss/style';

.app {
    $this: &;
}
</style>
